For git mirrored repositories, please provide status on what the last successfully sync time was

RESOLVED FIXED

Status

Release Engineering
General
RESOLVED FIXED
5 years ago
20 days ago

People

(Reporter: jhford, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Right now, the status of syncing of hg.m.o mirrors to git is a bit of a black box to those using the git mirrors.  It'd be really great if we could have a way to know when the last successful sync of repository occurred.  This information is useful when a user of the repository needs to know if their fix made it to the repository, or when someone needs to know what to expect is available in the git mirror.

A simple web page in the format:

"%(datetime)s - HG repo %(reponame)s with tip of %(fromhash)s was synced to Git repo %(gitreponame)s with a HEAD of %(tohash)s successfully"

would be really great, something with history would be even better.  If this is already available, please let me know where to find it.

Updated

4 years ago
Component: Release Engineering → Release Engineering: Developer Tools
QA Contact: hwine
John,

Don't you get this information by looking at the last commit as shown in the summary on each of the web views?
Flags: needinfo?(jhford)
no, that shows me the time of the last commit in the repo, unless the syncing system doesn't preserve commit timestamps.  That's unrelated to the last attempt at syncing the repository.
Flags: needinfo?(jhford)
Correct about what the time stamps mean, I was assuming the interest was in what commits are shown.

For example, at this moment, I see
    2013-02-25 20:44 -0500	Shih-Chiang Chien - Bug 835260 - Need B2G version number for composing update URL. r=marshall_law, a=tef+ default tip
    2013-02-26 13:51 -0500	Rail Aliiev - Bug 845026 - Update the gonk snapshot for b2g v1.0.1. r=aki,a=lsblakk
at http://hg.mozilla.org/releases/mozilla-b2g18_v1_0_1/

And
    27 hours ago 	Shih-Chiang... 	Bug 835260 - Need B2G version number for composing... v1.0.1
    10 hours ago 	Rail Aliiev	Bug 845026 - Update the gonk snapshot for b2g v1.0... 
at https://git.mozilla.org/?p=releases/gecko.git;a=shortlog;h=refs/heads/v1.0.1

At this moment it's clear the repo's are in sync.

What am I missing?

Updated

4 years ago
Blocks: 799719

Updated

4 years ago
Depends on: 847640

Comment 4

4 years ago
For beagle, I'm creating a json dict that looks like this currently:

{
    "mozilla-b2g18": {
        "branches": {
            "default": {
                "git_branch": "b2g18",
                "git_revision": "ada3b9647e60742aacee32918596c0ae022df1cb",
                "hg_branch": "default",
                "hg_revision": "3880a242b319",
                "pull_datetime": "2013-05-20 21:55 UTC",
                "pull_timestamp": 1369086945
            }
        },
        "push_datetime": "2013-05-20 21:55 UTC",
        "push_timestamp": 1369086949
    },
    "mozilla-central": {
        "branches": {
            "default": {
                "git_branch": "master",
                "git_revision": "ada3b9647e60742aacee32918596c0ae022df1cb",
                "hg_branch": "default",
                "hg_revision": "4236b1163508",
                "pull_datetime": "2013-05-20 21:55 UTC",
                "pull_timestamp": 1369086944
            }
        },
        "push_datetime": "2013-05-20 21:55 UTC",
        "push_timestamp": 1369086947
    }
}
Depends on: 847727
(Assignee)

Updated

4 years ago
Product: mozilla.org → Release Engineering
John,

We are creating a rest api which may be useful to you in bug 847640. However this is currently just for mapping hg ids to git ids and back again.

We can also publish the json files (like aki's example above in comment 4) that give details about the current heads, to a standard location somewhere - I think this would also solve your problem, right? You would just need read access to these json files over e.g. http - would that be sufficient?

Pete
Flags: needinfo?(jhford)
Flags: needinfo?(jhford)
Depends on: 929336
This should be resolved in bug 929336
We're transitioning vcs-sync from releng to dev-services, which is including doing some cleanup on old bugs.

:jhford - is this still needed or desired? based on no answer to comment 5, I'm going to assume it is not. If I don't get a positive ack, I'll close this bug.
Flags: needinfo?(jhford)
I no longer care about this specific case, feel free to close
Flags: needinfo?(jhford)

Comment 9

9 months ago
RESO FIXED per comment 6.
Status: NEW → RESOLVED
Last Resolved: 9 months ago
Resolution: --- → FIXED
(Assignee)

Updated

20 days ago
Component: Tools → General
Product: Release Engineering → Release Engineering
You need to log in before you can comment on or make changes to this bug.